iPhone in some kind of Limbo !!

Discussion in 'iPhone Tips, Help and Troubleshooting' started by blimeyoriley, Sep 18, 2008.

  1. blimeyoriley macrumors member

    Joined:
    Jan 15, 2008
    #1
    Hi , i really need someone's help - got myself into such a mess !!

    Basically my friend has a 2G iphone which he bought from New York in Nov 2007. The firmware version was 1.1.1.

    I remember jailbreaking it with jailbreakme.com and unlocking it with AnySim 1.1

    Recently he asked me if I could upgrade it to the new 2.1 firmware. Ok, i was a bit rusty, hadn't hacked an iPhone for aages but i gave it a go.

    First i wanted to Re-Lock the AnySim lock , but i read somewhere that this was unecessary.

    So OK, i put his iPhone into DFU and restored + updated with iTunes to 2.1.

    Everything seemed to be going great, the restore was sucessful, and his fone returned to the Slide For Emergency screen.

    Then i created the custom 2.1 firmware with Pwnage software, and tried to restore using iTunes ( alt + restore )

    But everytime I do this i get the following error: "The iPhone "iPhone" could not be restored. An unknown error occurred (6)"

    Infact everytime I ( alt + restore ) to any other firmware version I get the same error (sometimes with a different number)

    I have tried different cables, all USB ports, tried on VMWare running XP, even tried on a Vista PC, but keep getting the same error !!

    Someone please help , my friend is moving away on Sunday , and needs his phone before then !!

    Thank You !!
     
  2. i-jimmy macrumors newbie

    Joined:
    Sep 18, 2008
    #2
    This is what I did I had the same problem(apparently you need 2.0 firmware first because 2.1 is just an upgrade) there is probably an easier way but I was more familiar with 1.1.4 so i did it this way. re download itunes 7.5 ( all itunes and firmware here http://iphonefreakz.com/iphone-firmwares/ ) to download go to add/remove programs in your computer and delete the new itunes first, after install of old itunes you will get an error, saying some file from a newer itunes makes it not work, just open up search in your start tab and type in the name of the file that it says is no good, once you find it delete it now the old itunes works. use iliberty+ to go into dfu mode them re-install the old 1.1.4 firmware.(use shift restore to pick 1.1.4 file you downloaded) it will give you an error code after install but use I liberty to put it in normal mode. so you should now get itunes 7.7 and install 2.0 firmware( shift restore) once it has 2.0 installed, pwn it (quickpwn or winpwn) . once it has 2.0 pwned and unlocked and jailbroken then get itunes 8 and use the pwn tool to make the custom file then just do a shift restore and use that file it should now be updated to 2.1. I guess the trick was it had to be pwned in 2.0 first maybe im wrong but I got it to work fine that way. also 2.1 does not have a change apn settings for your internet network(if you are not att you internet wont work) so you then have to use http://www.unlockit.co.nz/ to change the apn of your current carrier ( I had t-mobile so it was internet2.voicestream.com or wap.voicestream.com, one should work) this http://www.unlockit.co.nz/ also works for upgraded original iphones not just 3g like it says on the site. so just go to that website using your wi-fi on the phone and follow the prompts and everything should work
     
  3. blimeyoriley thread starter macrumors member

    Joined:
    Jan 15, 2008
    #3
    Thank you so much for your advice, but I actually solved it myself before reading your post !!

    Here's what I did in case anyone is interested:

    1.Found a PC with iTunes 7.7

    2.Uninstalled

    3.Installed iTunes 7.5

    4.Renamed the iTunes 7.7 ituneslibrary file (as 7.5 said it couldn't read it, so wouldn't open !). 7.5 then created a new ituneslibrary file

    5.DFU'd iPhone and shift restored to 1.1.4

    6.Found a computer with iTunes 8 (my MBP in this case)

    7.alt restored the PWND 2.1 firmware !!

    Basically the problem is that iTunes has an issue with downgrading firmware. For example I found i couldn't "downgrade" my 2.1 iPhone on iTunes 8 ( to anything !! i tried 1.1.1, 1.1.2, 1.1.3, 1.1.4 ). Even the custom 2.1 firmware wouldn't work because iTunes saw this as a "downgrade"

    But when i connected the iPhone to iTunes 7.5 (which didn't support the 2.1 firmware) it let me "downgrade" to 1.1.4.

    I could then use iTunes 8 to go from 1.1.4 to the custom 2.1 !!

    Infact I actually initially downgraded to 1.1.1 in iTunes 7.5, then tried to go from 1.1.1 to custom 2.1 in iTunes 8, but this gave me a 1600 error !!

    So i'm not sure about 1.1.2, or 1.1.3, but you can definitely go from 1.1.4 to a custom 2.1 on iTunes 8 !!

    I hope my experiences save someone some valuable time !! Took me 15 hours of trial and error to finally complete the upgrade !!
     

Share This Page